ONTAP Discussions

Is SnapDrive/SMSQL Now Supported Through OnTAP 9.7?

TMADOCTHOMAS

I heard recently that some older SnapManager products such as SnapManager for Hyper-V are now coming bundled with SnapDrive 7.1.5P2 which is supposedly supported through OnTAP 9.7. I say "supposedly" because the IMT is inconsistent on this point. When looking at SnapManager for Hyper-V it shows compatibility through 9.7, but when you choose SnapDrive it still shows compatibility only through 9.3.

 

Why do I ask? We are currently only on OnTAP 9.3 because we haven't fully deployed SnapCenter yet, and my understanding was that SnapDrive/SMSQL are only supported through 9.3 based on the IMT. Can anyone provide clarity on this point? It would be a game-changer for my planning purposes if SnapDrive 7.1.5P2 and SMSQL 7.2.3 were now supported through OnTAP 9.7. It would not be as big of a deal if we weren't continually running into limitations, issues, and bugs in SnapCenter as we deploy it.

9 REPLIES 9

Re: Is SnapDrive/SMSQL Now Supported Through OnTAP 9.7?

Ontapforrum

This thread covers similar topic:
https://community.netapp.com/t5/Data-ONTAP-Discussions/Ontap-9-5-and-snapdrive/td-p/149247

 

IMT: Do not show 'SnapDrive Bundled' option for SMSQL. 'SnapDrive Bundled' is only included for ceratin SnapManager suites.

 

Therefore, based on IMT, limitation for SMSQL would be:
Supported version for SMSQL : 7.2.3 (64-bit x64)
Supported SnapDrive: 7.1.5 for Windows (64-bit x64)
Supported ONTAP : 9.3/9.2/9.1

 

Thanks!

Re: Is SnapDrive/SMSQL Now Supported Through OnTAP 9.7?

TMADOCTHOMAS

Thank you @Ontapforrum . Thank you for linking to the post. That makes sense. As a point of feedback, I had intended to deploy SnapCenter fully this month and next so I can upgrade from 9.3 to 9.5, however there are so many numerous bugs, especially as it relates to mount points, that I may run into a situation where I have to wait several additional months to deploy 9.5 due to waiting for SnapCenter patches. I really wish SMSQL would get added to the list of those with bundled and supported SnapDrive versions, so we wouldn't be stuck on 9.3 for the next few months. I really want to upgrade to take advantage of the better performance capabilities, but am stuck until SnapCenter issues are fixed. This is after I had to delay SnapCenter deployment from January to wait for bugs that were just patched in 4.3.1.

Re: Is SnapDrive/SMSQL Now Supported Through OnTAP 9.7?

Ontapforrum

Agree with you, and lot of customers are on the same page as you are.

 

For SQMSQL, I doubt that support will be added, infact all the newer MS-SQL releases aren't even tested for MS-SQL, so  there is risk to adaptation of newer MS-SQL for whatever business demand, if we cannot back them.  I guess,  sooner or later we may have to move on. To be honest, we are still running 9.1P13 (we are going to be upgrading very soon to 9.5) and while we still love SMSQL,  we are already preparing for SnapCenter for SQL move, so far we have moved VMware stuff only.

 

Looks like P1 is posted on 21-04-20, which has following fixes. Not sure, if any of these have affected your setup. Interesting it says, link to SnapCenter 4.3.1 has been disabled, upgrade to SnapCenter 4.3.1P1 version

 

Bugs fixed in SnapCenter 4.3.1P1 :
1312391 :Snapcenter fails to run schedule job with error message "TOKEN EXPIRED"
1310240 :Updating the storage SVM password post to upgrade from SC 4.1.1 to SC 4.3 has removed the storage connection from SC Server.
1310246 :Secondary Backups are not working post to SVM password change and readding the lost SVM back into SC.

 

Thanks!

Re: Is SnapDrive/SMSQL Now Supported Through OnTAP 9.7?

TMADOCTHOMAS

Thanks @Ontapforrum . Yeah I saw P1 a few days ago, but unfortunately these are not the issues we're experiencing. Among other things, SnapCenter can't create a mount point if the mount point root is on a node in a Windows Failover Cluster other than the current cluster host. On a couple of our failover clusters we have instances hosted on one node or the other, each with mount points, and I need to add LUNs to each (ironically, I am adding LUNs for SnapCenter - the Host Log Directory). It only works for the instances whose LUNs happen to be on the cluster node that is the current cluster host. That's just one example but there are many others.

Re: Is SnapDrive/SMSQL Now Supported Through OnTAP 9.7?

Ontapforrum

I can see that you are facing  tough time with SnapCenter adoption. I am guessing you have already reached out to support for the issues you are facing? I am pretty sure there are customers who are already on SnapCenter for SQL (MS Fail-over Clustered), so they must have followed some practice to get it working in their environment. Do you have assigned NetApp Account Manager, may be he can help you arrange 'Professional Services' who can come in help you set this up. 

 

I think if NetApp has moved to SnapCenter Suite from SnapManager, they must have tested/validated a very basic model for the most common customer environments.  Anyway, I wish you get this sorted soon and if do then please share us your experience of getting it to work. Until then keep searching and keep trying 🙂

 

Thanks!

Re: Is SnapDrive/SMSQL Now Supported Through OnTAP 9.7?

TMADOCTHOMAS

Thanks @Ontapforrum . Yes I've been working extensively with NetApp since January to work through these issues. One bug was so huge I had to completely halt deployment of SnapCenter until it was patched just a few weeks ago in 4.3.1 (the bug was that SnapCenter LUN GUIDs were not case sensitive, but they ARE case sensitive in OnTAP, so SnapCenter was not showing dozens of LUNs due to GUID conflicts - this was not an issue in SnapDrive).

 

You said "I think if NetApp has moved to SnapCenter Suite from SnapManager, they must have tested/validated a very basic model for the most common customer environments. " You would think :). I've been surprised at how non-smoothly it has gone. Hopefully we can figure out some workarounds and/or solutions and/or bug fixes.

Re: Is SnapDrive/SMSQL Now Supported Through OnTAP 9.7?

Ontapforrum

As you mentioned you have been working with NetApp support since Jan, so have you asked them directly about the 'SnapDrive supportability', I am asking b'cos that's the original query for this thread, isn't it?

 

Thanks!

Re: Is SnapDrive/SMSQL Now Supported Through OnTAP 9.7?

TMADOCTHOMAS

Yes I asked, but the guy I was talking to wasn't sure, hence my post :).

Re: Is SnapDrive/SMSQL Now Supported Through OnTAP 9.7?

TMADOCTHOMAS

Update: I now have a workaround that will allow me to still fully move to SnapCenter but retain SnapDrive on just our failover clusters to perform specific tasks. This is only until SnapCenter issues with failover clusters are resolved in future releases. Of course I still want to upgrade OnTAP in the coming months, which would require a compatible version of just SnapDrive (and not SMSQL).

 

With that in mind, I had this idea: would it work to install one of the SnapManager tools on the servers in question that have compatible SnapDrive versions "embedded", and then just not use the SnapManager component? In other words, the only purpose would be to upgrade SnapDrive to a compatible version for OnTAP 9.4 and above. I would ignore the SnapManager piece since I would actually be using SnapCenter for backups. Anyone have an idea if this would work? <NOTE: even better would be just installing SnapDrive 7.1.5P2, however I've been told this isn't the same as the embedded version and isn't compatible with OnTAP 9.4+).

Earn Rewards for Your Review!
GPI Review Banner
All Community Forums
Public